package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.StaffappchildRepository;
import com.realnet.vpspack.Entity.Staffappchild
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























	import org.springframework.stereotype.Service;

@Service
 public class StaffappchildService {
@Autowired
private StaffappchildRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;























public Staffappchild Savedata(Staffappchild data) {
























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Staffappchild save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Staffappchild> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Staffappchild> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Staffappchild> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Staffappchild getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Staffappchild update(Staffappchild data,Integer id) {
	Staffappchild old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setSupplier_acknowledged (data.isSupplier_acknowledged());

old.setStatus(data.getStatus());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setEmail_field(data.getEmail_field());

old.setPhone_number(data.getPhone_number());

old.setSupllier(data.getSupllier());

old.setNationality(data.getNationality());

old.setNote(data.getNote());

old.setVisa(data.getVisa());

old.setCoupon(data.getCoupon());

final Staffappchild test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
